Bug 1418788 (dnfdragora) - Review Request: dnfdragora - DNF package-manager based on libYui abstraction
Summary: Review Request: dnfdragora - DNF package-manager based on libYui abstraction
Keywords:
Status: CLOSED ERRATA
Alias: dnfdragora
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: libyui-mga-gtk libyui-mga-ncurses libyui-mga-qt
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 17:49 UTC by Björn 'besser82' Esser
Modified: 2020-03-13 05:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-05 20:21:33 UTC
Type: ---
lupinix.fedora: fedora-review+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2017-02-02 17:49:05 UTC
Description:

  dnfdragora is a DNF frontend, based on rpmdragora from Mageia
  (originally rpmdrake) Perl code.

  dnfdragora is written in Python 3 and uses libYui, the widget
  abstraction library written by SUSE, so that it can be run
  using Qt 5, GTK+ 3, or ncurses interfaces.


Koji Build:

  https://koji.fedoraproject.org/koji/taskinfo?taskID=17553029


Issues:

  No known issues.  Some minor complains from rpmlint.


FAS-User:

  besser82


Urls:

  Spec URL:  https://besser82.fedorapeople.org/review/dnfdragona.spec
  SRPM URL:  https://besser82.fedorapeople.org/review/dnfdragora-0.0.0-0.1.gitcc4e556.20170202.fc26.src.rpm


Thanks for review in advance!

Comment 1 Christian Dersch 2017-02-02 19:09:48 UTC
Reviewing now

Comment 2 Christian Dersch 2017-02-02 19:11:55 UTC
Wrong SPEC url, dnfdragora not dnfdragona ;)

Comment 3 Björn 'besser82' Esser 2017-02-02 19:19:39 UTC
(In reply to Christian Dersch from comment #2)
> Wrong SPEC url, dnfdragora not dnfdragona ;)

Fixed!


Spec URL:  https://besser82.fedorapeople.org/review/dnfdragora.spec
  SRPM URL:  https://besser82.fedorapeople.org/review/dnfdragora-0.0.0-0.1.gitcc4e556.20170202.fc26.src.rpm

Comment 4 Christian Dersch 2017-02-02 19:25:01 UTC
Approved, thank you very much for packaging this! Very useful for me as I'll use dnfdragora for LXQt spin. Feel free to add me as a comaintainer for this and the new libyui packages if you wish.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 20 files have unknown license. Detailed
     output of licensecheck in /home/review/review-
     dnfdragora/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/locale/pa_IN/LC_MESSAGES,
     /usr/lib/python3.6/site-packages, /usr/share/locale/pa_IN,
     /usr/lib/python3.6
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.6/site-
     packages, /usr/share/locale/pa_IN/LC_MESSAGES, /usr/lib/python3.6,
     /usr/share/locale/pa_IN
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in dnfdragora
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: dnfdragora-0.0.0-0.1.gitcc4e556.20170202.fc26.noarch.rpm
          dnfdragora-0.0.0-0.1.gitcc4e556.20170202.fc26.src.rpm
dnfdragora.noarch: W: spelling-error Summary(en_US) libYui -> Libby
dnfdragora.noarch: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
dnfdragora.noarch: W: spelling-error %description -l en_US rpmdragora -> Protagoras
dnfdragora.noarch: W: spelling-error %description -l en_US rpmdrake -> rpm drake, rpm-drake, mandrake
dnfdragora.noarch: W: spelling-error %description -l en_US libYui -> Libby
dnfdragora.noarch: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
dnfdragora.src: W: spelling-error Summary(en_US) libYui -> Libby
dnfdragora.src: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
dnfdragora.src: W: spelling-error %description -l en_US rpmdragora -> Protagoras
dnfdragora.src: W: spelling-error %description -l en_US rpmdrake -> rpm drake, rpm-drake, mandrake
dnfdragora.src: W: spelling-error %description -l en_US libYui -> Libby
dnfdragora.src: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
2 packages and 0 specfiles checked; 0 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
dnfdragora.noarch: W: spelling-error Summary(en_US) libYui -> Libby
dnfdragora.noarch: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
dnfdragora.noarch: W: spelling-error %description -l en_US rpmdragora -> Protagoras
dnfdragora.noarch: W: spelling-error %description -l en_US rpmdrake -> rpm drake, rpm-drake, mandrake
dnfdragora.noarch: W: spelling-error %description -l en_US libYui -> Libby
dnfdragora.noarch: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
1 packages and 0 specfiles checked; 0 errors, 6 warnings.



Requires
--------
dnfdragora (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python3
    config(dnfdragora)
    dnf
    filesystem
    hicolor-icon-theme
    python(abi)
    python3-PyYAML
    python3-dnfdaemon
    python3-yui



Provides
--------
dnfdragora:
    appdata()
    appdata(org.mageia.dnfdragora.appdata.xml)
    application()
    application(org.mageia.dnfdragora.desktop)
    config(dnfdragora)
    dnfdragora



Source checksums
----------------
https://github.com/manatools/dnfdragora/archive/cc4e556959c68817c1d0ca8728fd140dfe6785c6.tar.gz#/dnfdragora-0.0.0-gitcc4e556.20170202.tar.gz :
  CHECKSUM(SHA256) this package     : 6883af3eb20f1b94963de3795d349c55959fd34523bf1b1b2b3e860ef5bdb5c3
  CHECKSUM(SHA256) upstream package : 6883af3eb20f1b94963de3795d349c55959fd34523bf1b1b2b3e860ef5bdb5c3


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -L rpm_deps_dnfdragora/ -m fedora-rawhide-x86_64 -n dnfdragora
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Built with local dependencies:
    /home/review/rpm_deps_dnfdragora/libyui-mga-gtk-devel-1.0.1-0.1.git22f2cf6.20131215.fc26.x86_64.rpm
    /home/review/rpm_deps_dnfdragora/libyui-mga-gtk-1.0.1-0.1.git22f2cf6.20131215.fc26.x86_64.rpm
    /home/review/rpm_deps_dnfdragora/libyui-mga-debuginfo-1.0.8-0.1.gita6a160e.20160313.fc26.x86_64.rpm
    /home/review/rpm_deps_dnfdragora/libyui-mga-gtk-doc-1.0.1-0.1.git22f2cf6.20131215.fc26.noarch.rpm
    /home/review/rpm_deps_dnfdragora/libyui-mga-doc-1.0.8-0.1.gita6a160e.20160313.fc26.noarch.rpm
    /home/review/rpm_deps_dnfdragora/libyui-mga-1.0.8-0.1.gita6a160e.20160313.fc26.x86_64.rpm
    /home/review/rpm_deps_dnfdragora/libyui-mga-gtk-debuginfo-1.0.1-0.1.git22f2cf6.20131215.fc26.x86_64.rpm
    /home/review/rpm_deps_dnfdragora/libyui-mga-devel-1.0.8-0.1.gita6a160e.20160313.fc26.x86_64.rpm

Comment 5 Gwyn Ciesla 2017-02-02 19:40:47 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/dnfdragora

Comment 6 Fedora Update System 2017-02-02 20:06:35 UTC
dnfdragora-0.0.0-0.100.gitcc4e556.20170202.fc25 libyui-bindings-1.1.1-10.fc25 libyui-mga-gtk-1.0.2-0.2.git22f2cf6.20131215.fc25 libyui-mga-1.0.8-0.3.gita6a160e.20160313.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-02c0aa30f9

Comment 7 Fedora Update System 2017-02-03 23:50:02 UTC
dnfdragora-0.0.0-0.102.git4d872ab.20170202.fc25, libyui-bindings-1.1.1-10.fc25, libyui-mga-1.0.8-0.3.gita6a160e.20160313.fc25, libyui-mga-gtk-1.0.2-0.4.git22f2cf6.20131215.fc25, libyui-mga-ncurses-1.0.2-0.2.git026f2e6.20131215.fc25, libyui-mga-qt-1.0.3-0.2.gitb508e88.20140119.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-02c0aa30f9

Comment 8 Fedora Update System 2017-02-04 17:48:53 UTC
dnfdragora-0.0.0-0.105.git708a8a8.20170204.fc25 libyui-bindings-1.1.1-10.fc25 libyui-mga-1.0.8-0.3.gita6a160e.20160313.fc25 libyui-mga-gtk-1.0.2-0.4.git22f2cf6.20131215.fc25 libyui-mga-ncurses-1.0.2-0.2.git026f2e6.20131215.fc25 libyui-mga-qt-1.0.3-0.2.gitb508e88.20140119.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-02c0aa30f9

Comment 9 Fedora Update System 2017-02-05 02:20:44 UTC
dnfdragora-0.0.0-0.105.git708a8a8.20170204.fc25, libyui-bindings-1.1.1-10.fc25, libyui-mga-1.0.8-0.3.gita6a160e.20160313.fc25, libyui-mga-gtk-1.0.2-0.4.git22f2cf6.20131215.fc25, libyui-mga-ncurses-1.0.2-0.2.git026f2e6.20131215.fc25, libyui-mga-qt-1.0.3-0.2.gitb508e88.20140119.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-02c0aa30f9

Comment 10 Fedora Update System 2017-02-05 20:21:33 UTC
dnfdragora-0.0.0-0.105.git708a8a8.20170204.fc25, libyui-bindings-1.1.1-10.fc25, libyui-mga-1.0.8-0.3.gita6a160e.20160313.fc25, libyui-mga-gtk-1.0.2-0.4.git22f2cf6.20131215.fc25, libyui-mga-ncurses-1.0.2-0.2.git026f2e6.20131215.fc25, libyui-mga-qt-1.0.3-0.2.gitb508e88.20140119.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-04-15 09:08:58 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc24 libyui-3.3.1-4.fc24 libyui-bindings-1.1.2-1.fc24 libyui-gtk-2.44.8-4.fc24 libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc24 libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc24 libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc24 libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc24 libyui-ncurses-2.48.1-3.fc24 libyui-qt-2.47.1-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9226fb42a0

Comment 12 Fedora Update System 2017-04-15 22:49:22 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc24, libyui-3.3.1-4.fc24, libyui-bindings-1.1.2-1.fc24, libyui-gtk-2.44.8-4.fc24, libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc24, libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc24, libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc24, libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc24, libyui-ncurses-2.48.1-3.fc24, libyui-qt-2.47.1-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.